package com.adealink.weparty.url

import android.net.Uri
import com.adealink.frame.base.AppBase
import com.adealink.weparty.debug.DebugPrefs
import com.adealink.weparty.network.RELEASE_HOSTS

/**
 * UrlConfig配置url
 */
object UrlConfig {

    private val isProdEnv =
        AppBase.isRelease || RELEASE_HOSTS.contains(Uri.parse(DebugPrefs.httpUrl).host)

    val serviceTerms = when {
        isProdEnv -> "https://web.gami.vip/about/termsOfService"
        else -> "https://web.gami.vip/about/termsOfService"
    }

    val privacyPolicy = when {
        isProdEnv -> "https://web.gami.vip/about/privacyPolicy"
        else -> "https://web.gami.vip/about/privacyPolicy"
    }

    val communityPolicy =
        when {
            AppBase.isProdEnv -> "https://web.gami.vip/about/communityGuideline"
            else -> "https://web.gami.vip/about/communityGuideline"
        }

}